/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * MissedConnectionCreateClaimRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class MissedConnectionCreateClaimRequest {
  @SerializedName("travel_information")
  private Model114 travelInformation = null;

  @SerializedName("incident")
  private Model117 incident = null;

  @SerializedName("affected_person")
  private AffectedPerson affectedPerson = null;

  @SerializedName("existing_case")
  private Reference existingCase = null;

  @SerializedName("other_insurance_covering")
  private OtherInsuranceCovering otherInsuranceCovering = null;

  @SerializedName("legal_consents")
  private LegalConsents legalConsents = null;

  @SerializedName("policy")
  private Policy policy = null;

  @SerializedName("total_amount_claimed")
  private Model70 totalAmountClaimed = null;

  @SerializedName("amount_estimation_damage")
  private Model71 amountEstimationDamage = null;

  @SerializedName("contact_phones")
  private ContactPhones contactPhones = null;

  @SerializedName("certificate_id")
  private String certificateId = null;

  public MissedConnectionCreateClaimRequest travelInformation(Model114 travelInformation) {
    this.travelInformation = travelInformation;
    return this;
  }

   /**
   * Get travelInformation
   * @return travelInformation
  **/
  @ApiModelProperty(value = "")
  public Model114 getTravelInformation() {
    return travelInformation;
  }

  public void setTravelInformation(Model114 travelInformation) {
    this.travelInformation = travelInformation;
  }

  public MissedConnectionCreateClaimRequest incident(Model117 incident) {
    this.incident = incident;
    return this;
  }

   /**
   * Get incident
   * @return incident
  **/
  @ApiModelProperty(value = "")
  public Model117 getIncident() {
    return incident;
  }

  public void setIncident(Model117 incident) {
    this.incident = incident;
  }

  public MissedConnectionCreateClaimRequest affectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
    return this;
  }

   /**
   * Get affectedPerson
   * @return affectedPerson
  **/
  @ApiModelProperty(required = true, value = "")
  public AffectedPerson getAffectedPerson() {
    return affectedPerson;
  }

  public void setAffectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
  }

  public MissedConnectionCreateClaimRequest existingCase(Reference existingCase) {
    this.existingCase = existingCase;
    return this;
  }

   /**
   * Get existingCase
   * @return existingCase
  **/
  @ApiModelProperty(value = "")
  public Reference getExistingCase() {
    return existingCase;
  }

  public void setExistingCase(Reference existingCase) {
    this.existingCase = existingCase;
  }

  public MissedConnectionCreateClaimRequest otherInsuranceCovering(OtherInsuranceCovering otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
    return this;
  }

   /**
   * Get otherInsuranceCovering
   * @return otherInsuranceCovering
  **/
  @ApiModelProperty(value = "")
  public OtherInsuranceCovering getOtherInsuranceCovering() {
    return otherInsuranceCovering;
  }

  public void setOtherInsuranceCovering(OtherInsuranceCovering otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
  }

  public MissedConnectionCreateClaimRequest legalConsents(LegalConsents legalConsents) {
    this.legalConsents = legalConsents;
    return this;
  }

   /**
   * Get legalConsents
   * @return legalConsents
  **/
  @ApiModelProperty(required = true, value = "")
  public LegalConsents getLegalConsents() {
    return legalConsents;
  }

  public void setLegalConsents(LegalConsents legalConsents) {
    this.legalConsents = legalConsents;
  }

  public MissedConnectionCreateClaimRequest policy(Policy policy) {
    this.policy = policy;
    return this;
  }

   /**
   * Get policy
   * @return policy
  **/
  @ApiModelProperty(required = true, value = "")
  public Policy getPolicy() {
    return policy;
  }

  public void setPolicy(Policy policy) {
    this.policy = policy;
  }

  public MissedConnectionCreateClaimRequest totalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
    return this;
  }

   /**
   * Get totalAmountClaimed
   * @return totalAmountClaimed
  **/
  @ApiModelProperty(value = "")
  public Model70 getTotalAmountClaimed() {
    return totalAmountClaimed;
  }

  public void setTotalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
  }

  public MissedConnectionCreateClaimRequest amountEstimationDamage(Model71 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
    return this;
  }

   /**
   * Get amountEstimationDamage
   * @return amountEstimationDamage
  **/
  @ApiModelProperty(value = "")
  public Model71 getAmountEstimationDamage() {
    return amountEstimationDamage;
  }

  public void setAmountEstimationDamage(Model71 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
  }

  public MissedConnectionCreateClaimRequest contactPhones(ContactPhones contactPhones) {
    this.contactPhones = contactPhones;
    return this;
  }

   /**
   * Get contactPhones
   * @return contactPhones
  **/
  @ApiModelProperty(value = "")
  public ContactPhones getContactPhones() {
    return contactPhones;
  }

  public void setContactPhones(ContactPhones contactPhones) {
    this.contactPhones = contactPhones;
  }

  public MissedConnectionCreateClaimRequest certificateId(String certificateId) {
    this.certificateId = certificateId;
    return this;
  }

   /**
   * Identifier of the certificate related to the claim.
   * @return certificateId
  **/
  @ApiModelProperty(value = "Identifier of the certificate related to the claim.")
  public String getCertificateId() {
    return certificateId;
  }

  public void setCertificateId(String certificateId) {
    this.certificateId = certificateId;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    MissedConnectionCreateClaimRequest missedConnectionCreateClaimRequest = (MissedConnectionCreateClaimRequest) o;
    return Objects.equals(this.travelInformation, missedConnectionCreateClaimRequest.travelInformation) &&
        Objects.equals(this.incident, missedConnectionCreateClaimRequest.incident) &&
        Objects.equals(this.affectedPerson, missedConnectionCreateClaimRequest.affectedPerson) &&
        Objects.equals(this.existingCase, missedConnectionCreateClaimRequest.existingCase) &&
        Objects.equals(this.otherInsuranceCovering, missedConnectionCreateClaimRequest.otherInsuranceCovering) &&
        Objects.equals(this.legalConsents, missedConnectionCreateClaimRequest.legalConsents) &&
        Objects.equals(this.policy, missedConnectionCreateClaimRequest.policy) &&
        Objects.equals(this.totalAmountClaimed, missedConnectionCreateClaimRequest.totalAmountClaimed) &&
        Objects.equals(this.amountEstimationDamage, missedConnectionCreateClaimRequest.amountEstimationDamage) &&
        Objects.equals(this.contactPhones, missedConnectionCreateClaimRequest.contactPhones) &&
        Objects.equals(this.certificateId, missedConnectionCreateClaimRequest.certificateId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(travelInformation, incident, affectedPerson, existingCase, otherInsuranceCovering, legalConsents, policy, totalAmountClaimed, amountEstimationDamage, contactPhones, certificateId);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class MissedConnectionCreateClaimRequest {\n");
    
    sb.append("    travelInformation: ").append(toIndentedString(travelInformation)).append("\n");
    sb.append("    incident: ").append(toIndentedString(incident)).append("\n");
    sb.append("    affectedPerson: ").append(toIndentedString(affectedPerson)).append("\n");
    sb.append("    existingCase: ").append(toIndentedString(existingCase)).append("\n");
    sb.append("    otherInsuranceCovering: ").append(toIndentedString(otherInsuranceCovering)).append("\n");
    sb.append("    legalConsents: ").append(toIndentedString(legalConsents)).append("\n");
    sb.append("    policy: ").append(toIndentedString(policy)).append("\n");
    sb.append("    totalAmountClaimed: ").append(toIndentedString(totalAmountClaimed)).append("\n");
    sb.append("    amountEstimationDamage: ").append(toIndentedString(amountEstimationDamage)).append("\n");
    sb.append("    contactPhones: ").append(toIndentedString(contactPhones)).append("\n");
    sb.append("    certificateId: ").append(toIndentedString(certificateId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

